Subject: Re: bug#32252: [PATCH] %o and %x now format signed numbers

From: Helmut Eller <[email-masked]>
Date: Tue, 24 Jul 2018 06:49:34 +0200

On Mon, Jul 23 2018, Paul Eggert wrote:

> %a has quite a different meaning in C11, so we'd need to use some

With your change %x will also have quite a different meaning in C11.

> other letter (or set of letters, if we want something for %x, %X, %o)
> if we went that route. This seems like overkill for such a small
> change to functionality that hardly ever matters; plus, %x, %X and %o
> would continue to have problematic machine-dependent semantics and
> would not be sensibly extensible to bignums.

If it doesn't matter to you then why make the change/break at all?  You
could just create a function bignum-to-hex-string.

Helmut